<!doctype html>
<html lang="en">
    <head>
        {block name='head'}
            {include file='_partials/head.tpl'}
        {/block}
        <link rel="canonical" href="/dashboard/authorization/">
    </head>
<body>

    <section id="dashboard" style="background:#fff;">
        <div style="min-height:100vh;display:flex;align-items:center;justify-content:center;">
            <div classs="flat-spinner-conatiner">
                <div class="flat-spinner"></div>
            </div>  
        </div> 
    </section> 

    <form action="https://payments.securetrading.net/process/payments/details" method="post" id="payment-form">
        <input type="hidden" name="sitereference" value="{$securetrading_reference}">
        <input type="hidden" name="stprofile" value="default">
        <input type="hidden" name="currencyiso3a" value="{$currency}">
        <input type="hidden" name="mainamount" value="{$price}">
        <input type="hidden" name="version" value="2">
        <input type="hidden" name="orderreference" value="{$addPayment.id}">
        <input type=hidden name="ruleidentifier" value="STR-8">
        <input type="hidden" name="successfulurlnotification" value="{$successfulurlnotification}">
        <input type="hidden" name="successfulurlredirect" value="{$successfulurlredirect}">
        <input type="hidden" name="declinedurlredirect" value="{$declinedurlredirect}">
    </form> 

    <script>window.jQuery || document.write('<script src="/static/common/libs/jquery/3.2.1/jquery.min.js"><\/script>')</script>

    {block name='javascript_bottom'}
        {include file="_partials/javascript.tpl" javascript=$javascript.bottom}
    {/block}

    {block name="js"}
        <script type="text/javascript">
            $(document).ready(function() {
                $('#payment-form').submit();
            });
        </script>
    {/block}

</body>
</html>