<?php
/**
 * @package    Proxim
 * @author     Davison Pro <davisonpro.coder@gmail.com | https://davisonpro.dev>
 * @copyright  2019 Proxim
 * @version    1.0.0
 * @since      File available since Release 1.0.0
 */

require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'prox-bootstrap.php';

use Proxim\Configuration;

$app->setVars([
    'page' => [
        'title' => "Dashboard | " .  Configuration::get('SITE_NAME', null, "Proxim"),
        'description' => ''
    ],
]);

$app->setTemplate('dashboard');
$app->display();