{literal}
<style>
.discount-banner {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: -100;
    visibility: hidden;
    width: 100%;
    -webkit-transform: translateY(-70px);
    -ms-transform: translateY(-70px);
    transform: translateY(-70px)
}

.discount-banner.show {
    visibility: visible;
    z-index: 100;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
    -webkit-transition: visibility 2s linear .2s,-webkit-transform .2s linear .2s;
    transition: visibility 2s linear .2s,-webkit-transform .2s linear .2s;
    -o-transition: transform .2s linear .2s,visibility 2s linear .2s;
    transition: transform .2s linear .2s,visibility 2s linear .2s;
    transition: transform .2s linear .2s,visibility 2s linear .2s,-webkit-transform .2s linear .2s
}

.discount-banner .container,.discount-banner .share-land-page {
    position: relative;
    padding-left: 15px;
    padding-right: 15px;
}

.discount-banner__wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.discount-banner__text {
    margin: 0
}

.button-order-now {
    display: inline-block;
    font-size: 14px;
    font-weight: 700;
    line-height: 20px;
    text-decoration: none
}

.discount-banner.custom-writing {
    background-color: #0f689b;
    color: #fff
}

.discount-banner.custom-writing .discount {
    color: #f9b30e
}

.discount-banner.custom-writing .button-order-now {
    color: #fff;
    background-color: #f6a510;
    -webkit-transition: background-color .1s ease-in-out;
    -o-transition: background-color .1s ease-in-out;
    transition: background-color .1s ease-in-out
}

.discount-banner.custom-writing .button-order-now:hover {
    color: #fff;
    background-color: #ff7200
}

.page-mainpage.fixed .header.active-banner .right-block .btn-order-now {
    display: none
}

.discount-banner.overnightessay {
    background-color: #1082e8;
    color: #fff
}

.discount-banner.overnightessay .discount {
    color: #ffde00
}

.discount-banner.overnightessay .button-order-now {
    color: #222;
    background-color: #ffde00;
    -webkit-transition: background-color .2s ease-out;
    -o-transition: background-color .2s ease-out;
    transition: background-color .2s ease-out
}

.discount-banner.overnightessay .button-order-now:hover {
    background-color: #ffea00
}

.discount-banner.helpfulpapers,.discount-banner.unipapers {
    min-width: 320px;
    z-index: 999;
    color: #fff;
    background-color: #0aae48
}

.discount-banner.helpfulpapers:not(.show),.discount-banner.unipapers:not(.show) {
    opacity: 0;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0)
}

.discount-banner.helpfulpapers .discount,.discount-banner.unipapers .discount {
    color: #fff
}

.discount-banner.helpfulpapers .button-order-now,.discount-banner.unipapers .button-order-now {
    color: #fff;
    text-decoration: none;
    background-color: #f36;
    -webkit-transition: background-color .1s ease-in-out;
    -o-transition: background-color .1s ease-in-out;
    transition: background-color .1s ease-in-out
}

@media (min-width: 480px) {
    .button-wrap {
        margin-left: 30px;
    }
    .discount-banner {
        padding: 10px 0
    }

    .discount-banner.custom-writing .button-order-now {
        padding: .43em 1.15em;
        border-radius: 4px
    }

    .discount-banner.overnightessay .button-order-now {
        padding: .43em 1.85em;
        border-radius: 4px
    }
}

@media (max-width: 479px) {
    .discount-banner__wrapper {
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between
    }

    .button-order-now,.discount-banner__text {
        font-size: 11px;
        line-height: 20px
    }

    .button-order-now {
        padding: .9em
    }
}

@media (min-width: 1200px) {
    .discount-banner__text {
        font-size: 18px;
        line-height: 28px;
    }
}
</style>
{/literal}
<div id="discountBanner" class="custom-writing discount-banner show" style="top: 0px;">
    <div class="container">
        <div class="discount-banner__wrapper">
            <p class="discount-banner__text">
                <span class="text-wrapper">Looking for 
				<b class="dynamic-text"></b><span class="type-cursor">|</span>?</span>
                Get your 1st order with <b class="discount">15% OFF</b>
            </p>

            <div class="button-wrap">
                <a href="/order-custom-essay?discount_code=NEW15&amp;b=b1" title="Order Now" class="button-order-now">Order Now</a>
            </div>
        </div>
    </div>
</div>