<table class="price_table_default">
    <tbody>
        <tr>
            <th rowspan="2" class="deadline_header">Deadline</th>
            <th colspan="5" class="courselevel_header">Academic level</th>
        </tr>
        <tr class="deadline_cell_header">
            {foreach $academicLevels as $academicLevel}
                <th><strong>{$academicLevel.title}</strong></th>
            {/foreach}
        </tr>

        {assign var=row value=0}
        {foreach from=$deadlines item=$deadline key=$time}
            <tr class="price_row price_row_odd price_row_{$row}">
                <th class="courselevel_name">
                    {$time}
                </th>

                {foreach from=$academicLevels item=$academicLevel key=$academicLevelId}
                   {if isset($deadline[$academicLevelId])}
                        <td>
                            <div>${$deadline[$academicLevelId].pricePerPage}</div>
                        </td>
                   {else}
                        <td>
                            <div>n/a</div>
                        </td>
                   {/if}
                {/foreach}
            </tr>

             {assign var=row value=$row+1}
        {/foreach}
        
    </tbody>
</table>